readCcg {affxparser} | R Documentation

## Reads an Affymetrix Command Console Generic (CCG) Data file

### Description

Reads an Affymetrix Command Console Generic (CCG) Data file. The CCG data file format is also known as the Calvin file format.

### Usage

    readCcg(pathname, verbose=0, .filter=NULL, ...)

### Arguments

`pathname` | The pathname of the CCG file.
`verbose` | An `integer` specifying the verbose level. If 0, the file is parsed quietly. The higher numbers, the more details.
`.filter` | A `list`.
`...` | Not used.

### Details

Note, the current implementation of this methods does not utilize the Affymetrix Fusion SDK library. Instead, it is implemented in R from the file format definition [1].

### Value

A named `list` structure consisting of ...

### About the CCG file format

A CCG file, consists of a "file header", a "generic data header", and "data" section, as outlined here:

- File Header
- Generic Data Header (for the file)
  1. Generic Data Header (for the files 1st parent)
     1. Generic Data Header (for the files 1st parents 1st parent)
     2. Generic Data Header (for the files 1st parents 2nd parent)
     3. ...
     4. Generic Data Header (for the files 1st parents Mth parent)
  2. Generic Data Header (for the files 2nd parent)
  3. ...
  4. Generic Data Header (for the files Nth parent)
- Data
  1. Data Group #1
     1. Data Set #1
        - Parameters
        - Column definitions
        - Matrix of data
     2. Data Set #2
     3. ...
     4. Data Set #L
  2. Data Group #2
  3. ...
  4. Data Group #K

### Author(s)

Henrik Bengtsson (http://www.braju.com/R/)

### References

[1] Affymetrix Inc, Affymetrix GCOS 1.x compatible file formats, April, 2006. http://www.affymetrix.com/support/developer/

### See Also

`readCcgHeader`(). `readCdfUnits`().

[Package affxparser version 1.16.0 Index]